<p class="title">
	Assessment Maintenance > Add a new Requirement > <i>Edit</i>
</p>
<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="card" *ngIf="pcidssRequirement">
    <div class="card-header title" jhiTranslate="pcidssApp.pcidssRequirement.home.editLabel">Edit Requirement</div>
    <div class="card-block">
    <jhi-alert-error></jhi-alert-error>
        <div class="form-group row" [hidden]="!pcidssRequirement.id">
            <label class="col-sm-2 form-control-label heading" for="id" jhiTranslate="pcidssApp.pcidssRequirement.requirementCategory">Requirement category</label>
            <div class="col-sm-10">
            	<input type="text" class="form-control" name="id"
                   [(ngModel)]="pcidssRequirement.requirementCategoryId.categoryName" readonly />
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2 form-control-label heading" jhiTranslate="pcidssApp.pcidssRequirement.requirementNumber" for="field_requirement">Requirement#</label>
            
             <div class="col-sm-3">
             	<input type="text" class="form-control" name="requirementNumber"
                [(ngModel)]="pcidssRequirement.requirementNumber" required minlength="1" maxlength="2" pattern="^[0-9]*$" #requirementNumber="ngModel"/>
                <div *ngIf="requirementNumber.errors && (requirementNumber.dirty || requirementNumber.touched)" class="alert alertError">
            	<div [hidden]="!requirementNumber.errors.required">
            		This field is required
            	</div>
            	<div [hidden]="!requirementNumber.errors.minlength">Requirement number must be at least 1 characters long</div>
            	<div [hidden]="!requirementNumber.errors.maxlength">Requirement number cannot be at more than 2 characters long</div>
            	<div [hidden]="!requirementNumber.errors.pattern">Invalid character</div>
             </div>
        </div>
        </div>

        <div class="form-group row">
            <label class="col-sm-2 form-control-label heading" jhiTranslate="pcidssApp.pcidssRequirement.requirementDescription" for="field_requirementCategoryId">Description</label>
            <div class="col-sm-10">
            	<textarea class="form-control" name="requirement" [(ngModel)]="pcidssRequirement.requirement" required minlength="5" maxlength="255" pattern="^[a-zA-Z0-9\,\.\!\-\:? ]*$" #requirement="ngModel">
                </textarea>
                <div *ngIf="requirement.errors && (requirement.dirty || requirement.touched)" class="alert alertError">
            	<div [hidden]="!requirement.errors.required">
            		This field is required
            	</div>
            	<div [hidden]="!requirement.errors.minlength">Requirement number must be at least 1 characters long</div>
            	<div [hidden]="!requirement.errors.maxlength">Requirement number cannot be at more than 2 characters long</div>
            	<div [hidden]="!requirement.errors.pattern">Invalid character</div>
             </div>
            </div>
            
        </div>
    <div class="row-md action-div">
			<button type="submit" (click)="previousState()" class="btn action-btn-with-text cancel">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="button"
				 class="btn btn-danger action-btn-with-text" (click)="deleteRequirement(pcidssRequirement)">
				<span class="fa fa-trash"></span>&nbsp;<span> Delete</span>
			</button>
			<button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn action-btn-with-text edit">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
		</div>
		</div>
    </div>
</form>

